Bug 998971 - gedit-latex 3.8.0 fails to load due to syntax error
gedit-latex 3.8.0 fails to load due to syntax error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gedit-latex (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 08:52 EDT by mebassett
Modified: 2013-10-09 21:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: gedit-latex-3.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 21:04:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mebassett 2013-08-20 08:52:06 EDT
Description of problem:

gedit 3.8.3 cannot load gedit-latex 3.8.0 plugin


How reproducible:

very


Steps to Reproduce:
1. Install from yum gedit and gedit-latex
2. Open gedit's preferences and enable gedit-latex plugin

Actual results:

gedit-latex fails to load.  error message follows:

Traceback (most recent call last):
  File "/usr/lib64/gedit/plugins/latex/__init__.py", line 39, in <module>
    from .windowactivatable import LaTeXWindowActivatable
  File "/usr/lib64/gedit/plugins/latex/windowactivatable.py", line 36, in <module>
    from .config import EDITOR_VIEWS, ACTIONS
  File "/usr/lib64/gedit/plugins/latex/config.py", line 26, in <module>
    from .latex.actions import LaTeXMenuAction, LaTeXNewAction, LaTeXChooseMasterAction, \
  File "/usr/lib64/gedit/plugins/latex/latex/actions.py", line 33, in <module>
    from .editor import LaTeXEditor
  File "/usr/lib64/gedit/plugins/latex/latex/editor.py", line 37, in <module>
    from .expander import LaTeXReferenceExpander
  File "/usr/lib64/gedit/plugins/latex/latex/expander.py", line 28, in <module>
    from .cache import LaTeXDocumentCache
  File "/usr/lib64/gedit/plugins/latex/latex/cache.py", line 111
    print self.__file.path
             ^
SyntaxError: invalid syntax

(gedit:3134): libpeas-WARNING **: Error loading plugin 'latex'



Expected results:

gedit-latex plugin loads and installs


Additional info:

Related to bug 986892 - that bug pushed a solution to the old bug but introduced this one.
Comment 1 Fedora Update System 2013-10-04 12:28:37 EDT
gedit-latex-3.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-17987/gedit-latex-3.8.0-3.fc19
Comment 2 Fedora Update System 2013-10-09 21:04:33 EDT
gedit-latex-3.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.